pages/urls.py
from django.urls import re_path
from .views import HomeTemplateView, AboutUsTemplateView, SearchResultsView
from blog.views import PostListView, PostDetailView, ListCategoryPosts
from advises.views import CreateAdvisesView
from arbitrator.views import CreateArbiterView
from contact.views import CreateContactUsView
from cms.views import RoleListView, CriminalListView

app_name = 'page'

urlpatterns = [
    re_path(r'^$', HomeTemplateView.as_view(), name='index'),
    re_path(r'^about_us$', AboutUsTemplateView.as_view(), name='about_us'),
    re_path(r'^posts/$', PostListView.as_view(), name='posts'),
    re_path(r'^posts/page/(?P<page>[\d]+)/$', PostListView.as_view(), name='posts'),
    re_path(r'^search/$', SearchResultsView.as_view(), name='search'),
    re_path(r'^search/page/(?P<page>[\d]+)/$', SearchResultsView.as_view(), name='search'),
    re_path(r'^advises/$', CreateAdvisesView.as_view(), name='advises'),
    re_path(r'^arbiter/$', CreateArbiterView.as_view(), name='arbiter'),
    re_path(r'^laws/$', RoleListView.as_view(), name='laws'),
    re_path(r'^contact_us/$', CreateContactUsView.as_view(), name='contact_us'),
    re_path(r'^post/(?P<slug>[-\w]+)/$', PostDetailView.as_view(), name='detail'),
    # re_path(r'^criminal/(?P<slug>[-\w]+)/$', CriminalListView.as_view(), name='criminal'),
    re_path(r'^criminal/$', CriminalListView.as_view(), name='criminal'),
    re_path(r'^posts/category/(?P<slug>[-\w]+)/$', ListCategoryPosts.as_view(), name='category'),
    re_path(r'^posts/category/(?P<slug>[-\w]+)/page/(?P<page>[\d]+)/$', ListCategoryPosts.as_view(), name='category'),
]

media/templates/partials/footer.html
    <footer
      class="mt-4"
      style="
        background-image: url({{site.picture_footer.url}});
      "
    >

    {#    <div class="background" style="background-image: url({{ site.picture_footer.url }})">#}
    <div class="background">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h5>{{ site.footer_txt }}</h5>
                </div>
                <div class="col-12"><a class="owner" href="{% url 'page:about_us' %}">
                    <p>{{ site.full_name }}</p>
                </a></div>
                <div class="col-12">
                    <ul>

                        <li>
                            <cite><a href="{{ site.instagram }}">
                                <i class="fab fa-instagram"></i>
                            </a><cite>
                        </li>
                        <li>
                            <cite><a href="{{ site.telegram }}">
                                <i class="fab fa-telegram"></i>
                            </a><cite>
                        </li>
                    </ul>
                </div>
                <hr>
                <div class="col-12">
                    <a class="copyright" href="http://sepehrakbarzadeh.ir">SAGE team</a>
                </div>
            </div>
        </div>
    </div>
</footer>

media/templates/partials/mobile-nav.html
<div id='cssmenu'>
    <ul class="vazir">
        <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">×</a>
        <li class="{% if view.page_name == 'خانه' %}active{% endif %}"><a
                href='{% url 'page:index' %}'><span>خانه</span></a></li>
        <li class='has-sub'><a href="{% if view.page_name == 'مقاله' %}active{% endif %}"><span>مقاله<i
                class="fas fa-angle-down"></i></span></a>
            <ul>
                <li class="{% if view.page_name == 'لیست مقالات' %}active{% endif %}"><a
                        href='{% url 'page:posts' %}'><span>لیست مقالات</span></a></li>
                {% for category in categories %}
                    <li class="{% if forloop.last %}last {% endif %}{% if view.page_name == '{{ category.title }}' %}active{% endif %}">
                        <a
                                href='{{ category.get_absolute_url }}'><span>{{ category.title }}</span></a></li>
                {% endfor %}

            </ul>
        </li>
{#        <li class='has-sub {% if view.page_name == 'مطالب حقوقی' %}active{% endif %}'><a href='#'><span>مطالب حقوقی<i#}
{#                class="fas fa-angle-down"></i></span></a>#}
{#            <ul>#}
{#                {% for criminal in criminals %}#}
{#                    <li class="{% if forloop.last %}last{% endif %}"><a#}
{#                            href="{% url 'page:criminal' %}"><span>{{ criminal.title }}</span></a></li>#}
{#                {% endfor %}#}
{#            </ul>#}
{#        </li>#}
        <li class="{% if view.page_name == 'دریافت مشاوره' %}active{% endif %}"><a
                href="{% url 'page:advises' %}"><span>دریافت مشاوره</span></a>
        <li class="{% if view.page_name == 'قوانین' %}active{% endif %}"><a href="{% url 'page:laws' %}"><span>قوانین</span></a>
        <li class="{% if view.page_name == 'تماس با ما' %}active{% endif %}"><a href="{% url 'page:contact_us' %}"><span>تماس با ما</span></a>
        <li class="{% if view.page_name == 'درباره ما' %}active{% endif %}"><a
                href="{% url 'page:about_us' %}"><span>درباره ما</span></a>


        <li class="last {% if view.page_name == 'معرفی داور و شرکت های وصول مطالبات' %}active{% endif %}"><a
                href="{% url 'page:arbiter' %}"><span>معرفی داور و شرکت های وصول مطالبات</span></a></li>
    </ul>
</div>

media/templates/partials/nav.html
<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01"
            aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarColor01">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item {% if view.page_name == 'خانه' %}active{% endif %}">
                <a class="nav-link" href="{% url 'page:index' %}">خانه</a>
            </li>
            <li class="nav-item dropdown {% if view.page_name == 'مقالات' %}active{% endif %}">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                   data-toggle="dropdown"
                   aria-haspopup="true" aria-expanded="false">
                    مقالات<i class="fas fa-angle-down"></i>
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <div class="d-flex vazir">
                        <a class="dropdown-item active"
                           href="{% url 'page:posts' %}">لیست مقالات</a>
                        {% for category in categories %}
                            <a class="dropdown-item active"
                               href="{{ category.get_absolute_url }}">{{ category.title }}</a>
                        {% endfor %}
                    </div>
                </div>
            </li>

            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
                   aria-haspopup="true" aria-expanded="false">
                    مطالب حقوقی<i class="fas fa-angle-down"></i>
                </a>
                <div class="dropdown-menu second" aria-labelledby="navbarDropdown">
                    <div class="d-flex vazir">
                        {% for criminal in criminals %}
                            <a class="dropdown-item active" href="{{ criminal.get_absolute_url }}">{{ criminal.title }}</a>
                        {% endfor %}
                    </div>
                </div>
            </li>
            <li class="nav-item {% if view.page_name == 'دریافت مشاوره' %}active{% endif %}">
                <a class="nav-link" href="{% url 'page:advises' %}">دریافت مشاوره</a>
            </li>
            <li class="nav-item {% if view.page_name == 'قوانین' %}active{% endif %}">
                <a class="nav-link" href="{% url 'page:laws' %}">قوانین</a>
            </li>
            <li class="nav-item {% if view.page_name == 'تماس با ما' %}active{% endif %}">
                <a class="nav-link" href="{% url 'page:contact_us' %}">تماس با ما</a>
            </li>
            <li class="nav-item {% if view.page_name == 'درباره ما' %}active{% endif %}">
                <a class="nav-link" href="{% url 'page:about_us' %}">درباره ما</a>
            </li>
        </ul>
        <ul class="navbar-nav ml-auto">
            <li class="nav-item {% if view.page_name == 'معرفی داور' %}active{% endif %}">
                <a class="nav-link" href="{% url 'page:arbiter' %}">معرفی داور و شرکت های وصول مطالبات</a>
            </li>
        </ul>

    </div>
</nav>

media/templates/partials/scripts.html
{% load static %}

<script src="{% static 'assets/features/main/js/jquery.min.js' %}"></script>
<script src="{% static 'assets/features/font-awsome/js/all.min.js' %}"></script>
<script src="{% static 'assets/features/bootstrap/js/bootstrap.min.js' %}"></script>
<script src="{% static 'assets/features/owl-carousel/js/owl.carousel.js' %}"></script>
<script src="{% static 'assets/features/main/js/main.js' %}"></script>

media/templates/partials/styles.html
{% load static %}

<link rel="stylesheet" href="{% static 'assets/features/bootstrap/css/bootstrap-rtl.min.css' %}"/>
<link rel="stylesheet" href="{% static 'assets/features/font-awsome/css/all.min.css' %}"/>
<link rel="stylesheet" href="{% static 'assets/features/vazir/vazir-font/css/main.css' %}"/>
<link rel="stylesheet" href="{% static 'assets/features/font_num/css/fontiran.css' %}"/>
<link rel="stylesheet" href="{% static 'assets/features/font/iran-sans/css/fontiran.css' %}"/>
<link rel="stylesheet" href="{% static 'assets/features/hover/css/hover.css' %}"/>
<link rel="stylesheet" href="{% static 'assets/features/owl-carousel/css/owl.carousel.min.css' %}"/>
<link rel="stylesheet" href="{% static 'assets/features/owl-carousel/css/owl.theme.default.min.css' %}"/>
<link rel="stylesheet" href="{% static 'assets/features/main/css/main.css' %}"/>

media/templates/partials/top-header.html
{% load static %}
<section class="top_quote">
    <div class="container">
        <div class="row text-center vazir">
            <div class="col-lg-7 col-md-7 col-sm-7">
                <h4 class="right">{{ quotes.title }}</h4>
            </div>
            <div class="col-lg-5 col-md-5 col-sm-5">
                <h4 class="left">{{ quotes.author }}</h4>
            </div>
        </div>
    </div>
</section>
<section class="top_info">
    <div class="container vazir">
        <div class="row">
            <div class="col-xl-4 col-lg-4 col-md-2 col-sm-2 col-2">
                <p class="d-none d-lg-block">{{ site.full_name }} وکیل پایه یک دادگستری</p>
                <i onclick="openNav()" class="fas fa-bars menu-bar"></i>
            </div>
            <div class="col-xl-4 col-lg-4 col-md-5 col-sm-5 col-5">
                <div class="phone d-flex fd-r">
                    <img src="{% static 'assets/img/svg/phone.svg' %}" alt=""/>
                    <div class="text">
                        <p>تلفن :</p>
                        <p class="ltr"><a href="tel:{{ site.phone }}">{{ site.phone }}</a></p>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-lg-4 col-md-5 col-sm-5 col-5">
                <div class="email ">
                    <div class="mr-auto d-flex fd-r">
                        <img src="{% static 'assets/img/svg/email.svg' %}" alt=""/>
                        <div class="text">
                            <p>ایمیل :</p>
                            <p><a href="mailto:{{ site.email }}"><i class="icon-email"></i>{{ site.email }}</a></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>